%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		python-jinja2
Version:	2.2.1
Release:	4%{?dist}
Summary:	General purpose template engine
Group:		Development/Languages
License:	BSD
URL:		http://jinja.pocoo.org/
Source0:	http://pypi.python.org/packages/source/J/Jinja2/Jinja2-%{version}.tar.gz
# This patch consists of two upstream patches merged and rebased
# (the first upstream patch introduced CVE-2014-0012 and the second fixed it)
# https://github.com/mitsuhiko/jinja2/commit/acb672b6a179567632e032f547582f30fa
# https://github.com/mitsuhiko/jinja2/pull/296/files
Patch0:		Jinja2-2.2.1-fix-CVE-2014-1402.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-devel
BuildRequires:	python-setuptools-devel
Requires:	python-babel >= 0.8
Requires:	python-setuptools

%description
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.


%prep
%setup -q -n Jinja2-%{version}
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py --with-speedups build


%install
rm -rf %{buildroot}
%{__python} setup.py --with-speedups install -O1 --skip-build \
	    --root %{buildroot}

# fix EOL
sed -i 's|\r$||g' LICENSE

# ensure correct permission
chmod 0755 %{buildroot}%{python_sitearch}/jinja2/_speedups.so

# remove hidden file
rm -rf docs/_build/html/.buildinfo


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE TODO
%doc docs/_build/html ext
%{python_sitearch}/*


%changelog
* Fri Aug  1 2014 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.1-4
- Add dependency on python-setuptools (rhbz#1121241).

* Fri Jul 18 2014 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.1-3
- Update patch for Python 2.4 (rhbz#1114823).

* Fri Jun 13 2014 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.1-2
- Fix CVE-2014-1402 (using patch from RHSA-2014:0747).

* Sat Sep 19 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.1-1
- Update to 2.2.1, mainly a bugfix release.
- Remove patch no longer needed.
- Remove conditional for FC-8.
- Compilation of speedup module has to be explicitly requested now.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 10 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.1.1-1
- Update to 2.1.1 (bugfix release).

* Thu Dec 18 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.1-1
- Update to 2.1, which fixes a number of bugs.
  See http://jinja.pocoo.org/2/documentation/changelog#version-2-1.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.0-3
- Rebuild for Python 2.6

* Tue Jul 22 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.0-2
- Use rpm buildroot macro instead of RPM_BUILD_ROOT.

* Sun Jul 20 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.0-1
- Upstream released 2.0.

* Sun Jun 29 2008 Thomas Moschny <thomas.moschny@gmx.de> - 2.0-0.1.rc1
- Modified specfile from the existing python-jinja package.
